classification
Title: BZ2File(buffering=None) does not emit deprecation warning, deprecation version not documented.
Type: Stage: resolved
Components: Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: gregory.p.smith, mbussonn, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-05-13 21:42 by mbussonn, last changed 2018-09-11 01:16 by gregory.p.smith. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6785 merged mbussonn, 2018-05-13 21:49
Messages (5)
msg316482 - (view) Author: Matthias Bussonnier (mbussonn) * Date: 2018-05-13 21:42
BZ2File(buffering=None) should emit a deprecation warning as the argument is deprecated.

The deprecation message and documentation should say since when it is deprecated. (AFAICT since 3.3)
msg316796 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-05-16 11:17
Actually it is ignored since 3.0.
msg316818 - (view) Author: Matthias Bussonnier (mbussonn) * Date: 2018-05-16 15:23
> Actually it is ignored since 3.0.

My bad, I have likely misread the history. PR updated.
msg324972 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2018-09-11 01:15
New changeset ffa198c642f9c67b84ef192bf0f7016c4249e570 by Gregory P. Smith (Matthias Bussonnier) in branch 'master':
bpo-33487: improve BZ2File Deprecation and documentation. (GH-6785)
https://github.com/python/cpython/commit/ffa198c642f9c67b84ef192bf0f7016c4249e570
msg324973 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2018-09-11 01:16
thanks!
History
Date User Action Args
2018-09-11 01:16:38gregory.p.smithsetstatus: open -> closed
resolution: fixed
messages: + msg324973

stage: patch review -> resolved
2018-09-11 01:15:59gregory.p.smithsetnosy: + gregory.p.smith
messages: + msg324972
2018-09-11 01:15:02gregory.p.smithsetversions: + Python 3.8
2018-05-16 15:23:51mbussonnsetmessages: + msg316818
2018-05-16 11:17:37serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg316796
2018-05-13 21:49:17mbussonnsetkeywords: + patch
stage: patch review
pull_requests: + pull_request6472
2018-05-13 21:42:24mbussonncreate